/**********************************************************************
 * Copyright (c) 2004 IBM Corporation and others. All rights reserved.   This
 * program and the accompanying materials are made available under the terms of
 * the Common Public License v1.0 which accompanies this distribution, and is
 * available at http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.core.resources.refresh.linux;

import org.eclipse.core.resources.IResource;

/**
 * Event representing an IResource that has been added or removed,
 * either externally or internally.
 */
class ResourceEvent {
	static final int ADD = 0;
	static final int REMOVE = 1;
	static final int REMOVE_ALL = 2;
	static final int STARTUP = 3;
	IResource resource;
	int kind;
	ResourceEvent(IResource resource, int kind) {
		this.resource = resource;
		this.kind = kind;
	}
	/**
	 * For debugging purposes only
	 */
	public String toString() {
		StringBuffer buf = new StringBuffer("ResourceEvent("); //$NON-NLS-1$
		switch (kind) {
			case ADD:
				buf.append("ADD"); //$NON-NLS-1$
				break;
			case REMOVE:
				buf.append("REMOVE"); //$NON-NLS-1$
				break;
			case REMOVE_ALL:
				buf.append("REMOVE_ALL"); //$NON-NLS-1$
				break;
			case STARTUP:
				buf.append("STARTUP"); //$NON-NLS-1$
				break;
			default:
				buf.append(kind);
				break;
		}
		buf.append(", "); //$NON-NLS-1$
		buf.append(resource);
		buf.append(')');
		return buf.toString();
	}}
